package cn.efunbox.manage.base.entity;

import lombok.Data;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * OperationLog
 * Created by xusq on 2017/11/22.
 */
@Data
@ToString
@Entity
@Table(name="operation_log")
@DynamicInsert
@DynamicUpdate
public class OperationLog implements Serializable {


    @Id
    @Column(name = "id")
    private Long id;

    @Column(name="user_id")
    private String userId;

    @Column(name="user_name")
    private String userName;

    @Column(name="ip")
    private String ip;

    @Column(name="request_url")
    private String requestUrl;

    @Column(name="param_json")
    private String paramJson;

    @Column(name="return_data")
    private String returnData;

    @Column(name="method_name")
    private String methodName;

    @Column(name = "gmt_created")
    @Temporal(TemporalType.TIMESTAMP)
    private Date gmtCreated;



}