package cn.efunbox.manage.base;

import cn.efunbox.manage.common.configuration.FrontConfiguration;
import cn.efunbox.manage.common.data.ProjectSimpleJpaRepository;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.boot.web.support.SpringBootServletInitializer;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Import;
import org.springframework.data.jpa.repository.config.EnableJpaRepositories;
import org.springframework.scheduling.annotation.EnableScheduling;

@SpringBootApplication
@EnableScheduling
@Import(FrontConfiguration.class)
@EnableJpaRepositories(repositoryBaseClass = ProjectSimpleJpaRepository.class)
@ComponentScan(basePackages = {"cn.efunbox.manage.base.*","cn.efunbox.manage.common.*"})
public class BaseApplication extends SpringBootServletInitializer {

	@Override
	protected SpringApplicationBuilder configure(SpringApplicationBuilder application) {
		return application.sources(BaseApplication.class);
	}

	public static void main(String[] args) {
		SpringApplication.run(BaseApplication.class, args);
	}
}