package cn.efunbox.manage.base.controller;

import cn.efunbox.manage.base.entity.Company;
import cn.efunbox.manage.base.service.CompanyService;
import cn.efunbox.manage.common.result.ApiResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * CompanyController
 * Created by wangys on 2019/03/13
 */
@RestController
@RequestMapping("/company")
public class CompanyController {

    @Autowired
    CompanyService companyService;

    @PostMapping
    public ApiResult save(@RequestBody Company company){
        return companyService.save(company);
    }

    @PutMapping
    public ApiResult update(@RequestBody Company company){
        return companyService.update(company);
    }

    @GetMapping
    public ApiResult list(Company company){
        return companyService.list(company);
    }

    @GetMapping("/{id}")
    public ApiResult getById(@PathVariable(name ="id") Long companyId){
        return companyService.getById(companyId);
    }

    @GetMapping("/select")
    public ApiResult select(){
        return companyService.select();
    }

}
