package cn.efunbox.manage.base.controller;

import cn.efunbox.manage.base.entity.Department;
import cn.efunbox.manage.base.service.DepartmentService;
import cn.efunbox.manage.common.result.ApiResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * DepartmentController
 * Created by wangys on 2019/03/07
 */
@RestController
@RequestMapping("/dept")
public class DepartmentController {

    @Autowired
    DepartmentService departmentService;

    @GetMapping("/tree")
    public ApiResult tree(Long deptId){
        return departmentService.getDeptTree(deptId);
    }

    @GetMapping("/child")
    public ApiResult child(Long deptId){
        return departmentService.getDeptChild(deptId);
    }

    @GetMapping("/select")
    public ApiResult select(){
        return departmentService.select();
    }

    @GetMapping("/{id}")
    public ApiResult findById(@PathVariable(name = "id") Long deptId){
        return departmentService.getDeptById(deptId);
    }

    @PostMapping
    public ApiResult save(@RequestBody Department department){
        return departmentService.save(department);
    }

    @PutMapping
    public ApiResult update(@RequestBody Department department){
        return departmentService.update(department);
    }
}
