package cn.efunbox.manage.common.intercepter;

import cn.efunbox.manage.common.result.ApiCode;
import cn.efunbox.manage.common.result.ApiResult;
import cn.efunbox.manage.common.utils.Constants;
import com.alibaba.fastjson.JSONObject;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.core.annotation.Order;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.http.HttpMethod;
import org.springframework.stereotype.Component;
import org.springframework.web.servlet.HandlerInterceptor;
import org.springframework.web.servlet.ModelAndView;

import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.concurrent.TimeUnit;

@Component
@Order(12)
public class AdminInterceptor implements HandlerInterceptor {


    @Autowired
    RedisTemplate<String, String> redisTemplate;

    @Override
    public boolean preHandle(HttpServletRequest request,
                             HttpServletResponse response, Object handler) throws Exception {
        if(HttpMethod.OPTIONS.matches(request.getMethod())){
            return false;
        }
        ServletOutputStream out = response.getOutputStream();
        String token = request.getHeader("uid");
        if (StringUtils.isBlank(token)) {
            ApiResult invalidTokenResult = ApiResult.error(ApiCode.INVALID_TOKEN);
            out.write(JSONObject.toJSONString(invalidTokenResult).getBytes("UTF-8"));
            return false;
        }
//        String user = redisTemplate.opsForValue().get(Constants.EFUNBOX_ADMIN_TOKEN_PREFIX + token);
//        if (StringUtils.isBlank(user)) {
//            ApiResult invalidTokenResult = ApiResult.error(ApiCode.INVALID_TOKEN);
//            out.write(JSONObject.toJSONString(invalidTokenResult).getBytes("UTF-8"));
//            return false;
//        }
//        redisTemplate.expire(Constants.EFUNBOX_ADMIN_TOKEN_PREFIX + token, 30, TimeUnit.MINUTES);
        return true;
    }

    @Override
    public void postHandle(HttpServletRequest httpServletRequest, HttpServletResponse httpServletResponse, Object o, ModelAndView modelAndView) throws Exception {

    }

    @Override
    public void afterCompletion(HttpServletRequest httpServletRequest, HttpServletResponse httpServletResponse, Object o, Exception e) throws Exception {

    }
}
