package cn.efunbox.manage.common.result;


public class ApiCode extends AbstractApiCode {
    public static final int _C_OK = 200;
    public static final ApiCode OK = new ApiCode((String) null, _C_OK);
    public static final int _C_NOT_FOUND = 404;
    public static final ApiCode NOT_FOUND = new ApiCode("请求资源不存在", _C_NOT_FOUND);
    public static final int _C_UNKNOWN_ERROR = 500;
    public static final ApiCode UNKNOWN_ERROR = new ApiCode("服务端内部错误", _C_UNKNOWN_ERROR);
    public static final int _C_NO_MOBILE = 505;
    public static final ApiCode NO_MOBILE = new ApiCode("未绑定手机号", _C_NO_MOBILE);
    public static final int _C_HAVE_MOBILE = 506;
    public static final ApiCode HAVE_MOBILE = new ApiCode("该用户已绑定手机号或该手机号已绑定用户", _C_HAVE_MOBILE);
    public static final int _C_SERVER_ERROR = 500;
    public static final ApiCode SERVER_ERROR = new ApiCode("网络正忙,请稍后再试......", _C_SERVER_ERROR);
    public static final int _C_PARAMETER_ERROR = 400;
    public static final ApiCode PARAMETER_ERROR = new ApiCode("参数错误", _C_PARAMETER_ERROR);
    public static final int _C_UNAUTHORIZED = 401;
    public static final ApiCode UNAUTHORIZED = new ApiCode("未认证", _C_UNAUTHORIZED);
    public static final int _C_INVALID_TOKEN = 402;
    public static final ApiCode INVALID_TOKEN = new ApiCode("无效的用户id", _C_INVALID_TOKEN);
    public static final int _C_ACCESS_DENIED = 403;
    public static final ApiCode ACCESS_DENIED = new ApiCode("访问被拒绝", _C_ACCESS_DENIED);
    public static final int _C_SIGNATURE_ERROR = 510;
    public static final ApiCode SIGNATURE_ERROR = new ApiCode("签名错误", _C_SIGNATURE_ERROR);
    public static final int _C_API_UPGRADE = 520;
    public static final ApiCode API_UPGRADE = new ApiCode("接口已升级", _C_API_UPGRADE);
    public static final int _C_APPID_NOT_EXIST = 530;
    public static final ApiCode APPID_NOT_EXIST = new ApiCode("应用id不存在", _C_APPID_NOT_EXIST);
    public static final int _C_RECORD_EXIST = 531;
    public static final ApiCode RECORD_EXIST = new ApiCode("记录已存在", _C_RECORD_EXIST);
    public static final int _C_PARAMETER_INVALID = 540;
    public static final ApiCode PARAMETER_INVALID = new ApiCode("参数验证不通过", _C_PARAMETER_INVALID);
    public static final int _C_OPERATION_FAIL = 550;
    public static final ApiCode OPERATION_FAIL = new ApiCode("操作失败", _C_OPERATION_FAIL);
    public static final int _c_RESOURCE_NULL = 600;
    public static final ApiCode RESOURCE_NULL = new ApiCode("用户对应资源为空", _c_RESOURCE_NULL);
    public static final int _c_SIGN = 555;
    public static final ApiCode SIGN = new ApiCode("获取验证码过于频繁", _c_SIGN);
    public static final int _C_NOT_RESOURSE = 300;
    public static final ApiCode NOT_RESOURSE = new ApiCode("暂无数据", _C_NOT_RESOURSE);

    public static final int _c_NO_UID = 506;
    public static final ApiCode NO_UID = new ApiCode("没有找到相关用户", _c_NO_UID);
    public static final int _C_PASSWORD_ERROR = 507;
    public static final ApiCode PASSWORD_ERROR = new ApiCode("没有找到相关用户", _C_PASSWORD_ERROR);
    public static final int _C_USERNAME_REPEAT = 508;
    public static final ApiCode USERNAME_REPEAT = new ApiCode("用户已存在", _C_USERNAME_REPEAT);


    public final static int _C_FILE_TO_BIG = 405;
    public final static ApiCode FILE_TO_BIG = new ApiCode("文件过大", _C_FILE_TO_BIG);

    public final static int _C_FILE_UPLOAD_ERROR = 407;
    public final static ApiCode FILE_UPLOAD_ERROR = new ApiCode("上传文件失败", _C_FILE_UPLOAD_ERROR);

    public final static int _C_DEVICE_ERROR = 700;
    public final static ApiCode DEVICE_ERROR = new ApiCode("没有相关deviceCode信息", _C_DEVICE_ERROR);
    public final static int _C_DATA_ERROR = 701;
    public final static ApiCode DATA_ERROR = new ApiCode("数据异常", _C_DATA_ERROR);
    public final static int _C_REPETITION_ERROR = 703;
    public final static ApiCode REPETITION_ERROR = new ApiCode("名称重复", _C_REPETITION_ERROR);

    protected ApiCode(String message, int code) {
        super(code, message);
    }
}

